# 项目相关配置1
ruoyi:
  # 名称
  name: dgtly_oneportal
  # 版本
  version: 4.0.0
  # 版权年份
  copyrightYear: 2020
  # 文件路径 示例（ Windows配置D:/ruoyi/uploadPath，Linux配置 /home/ruoyi/uploadPath）
  profile: /home/admin/project/file
  # profile: D:/ruoyi/uploadPath
  # 获取ip地址开关
  addressEnabled: false
  #是否开启swagger
  openSwagger: true
  cloudPath: http://127.0.0.1:8000/
  clearCachePath: https://suishenbangtest.nipponpaint.com.cn/gateway/order/order/meta-hana-sales-order/clearCache
  orderGetDataHook: https://suishenbangtest.nipponpaint.com.cn/gateway/order/order/meta-hana-sales-order/orderGetDataHook
  deliverGetDataHook: https://suishenbangtest.nipponpaint.com.cn/gateway/order/order/meta-hana-sales-order/deliverGetDataHook
#接口安全验证
security:
  #接口过期时间
  apiTimeOut: 50
  #接口的plat和对应的AppKey 支持多个用，号分割
  platMap: "{steelfurniture:'cd72c223-923f-44a3-aede-b9f07dcd56b8'}"
  #开发模式下 可以使用swagger测试 放过验签环节
  isDev: true
libang:
  getUserByTicket: http://m-eportal.nipponpaint.com.cn/BasicV2/Wechat/GetTicket

# 开发环境配置
server:
  # 服务器的HTTP端口，默认为80
  port: 10001
  servlet:
    # 应用的访问路径
    context-path: /wxportal-api
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # tomcat最大线程数，默认为200
    max-threads: 800
    # Tomcat启动初始化的线程数，默认值25
    min-spare-threads: 30

# 日志配置
logging:
  level:
    com.dgtly: debug
    org.springframework: warn
  path: /home/admin/project/logs/
# Spring配置
spring:
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
    #字段为空不生效
    default-property-inclusion: non_null
  profiles:
    include: uat-druid
  # 文件上传
  servlet:
     multipart:
       # 单个文件大小
       max-file-size:  10MB
       # 设置总上传的文件大小
       max-request-size:  20MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true

  tms:
    #TMS接口地址
    tmsUrl: https://lbtest.lutms.com/wuliu/apissbzt/ssb_update_authFile.do
    tmsToken: EZS2020
    suishenbang: https://suishenbangtest.nipponpaint.com.cn/oneportal
  esb:
    XAppId: Rg0YtNTe #yOQIfSJF
    APiKey: VOw81LBuXDSSRx4v #aUK5WZTmWjzn1foC
    shopStoneLikePaint: http://esbgateway.nipponpaint.com.cn/NPeportal/api/diydt/v3/texturewall/staff/list #http://esbgateway-test.nipponpaint.com.cn/NPeportal/api/diydt/v3/texturewall/staff/list
    goldShopUser: http://esbgateway.nipponpaint.com.cn/NPeportal/api/diydt/v3/goldshop/staff/list
    esbShopStoneLikePaintUser: http://esb-test.nipponpaint.com.cn/esb/get/comm/api/body
  mail:
    #邮件服务器地址
    host: mail.dgtis.com
    #端口号
    port: 25
    #发送者邮箱地址
    username: dgtmail@dgtis.com
    #邮箱的授权码
    password: DGT.1111
    #默认编码格式
    default-encoding: UTF-8
    properties:
      mail:
        #启动debug调试
        debug: true
        smtp:
          socketFactory:
            #SSL连接配置
            class: javax.net.ssl.SSLSocketFactory
  # redis配置
#  redis:
#      # Redis数据库索引（默认为0）
#      database: 0
#      # Redis服务器地址
#      host: 192.168.100.254
#      # Redis服务器连接端口
#      port: 6379
#      # Redis服务器连接密码（默认为空）
#      password:
#
#      # 连接超时时间（毫秒）
#      timeout: 500ms
#      pool:
#        jedis:
#         # 连接池最大连接数（使用负值表示没有限制）
#          max-active: 8
#          # 连接池最大阻塞等待时间（使用负值表示没有限制）
#          max-wait: -1
#          # 连接池中的最大空闲连接
#          max-idle: 8
#          # 连接池中的最小空闲连接
#          min-idle: 0
# MyBatis
mybatis:
    # 搜索指定包别名
    typeAliasesPackage: com.dgtly.**.domain
    # 配置mapper的扫描，找到所有的mapper.xml映射文件
    mapperLocations: classpath*:mapper/**/*Mapper.xml
    # 加载全局的配置文件
    configLocation: classpath:mybatis/mybatis-config.xml
shop:
  appid: ap4f8e6a38b6142187
  appsecret: d5c234b37e9f9ecb47a71ba6a788bd3e
  tokenUrl: http://esbgateway.nipponpaint.com.cn/NPeportal/auth/jwt/v1/gettoken

qiyeweixin:
  #企业微信id
  corpid: ww5444eb205d75e730
  #企业应用的凭证密钥
  #Cs9omiMVyz3cLm2D5T51i4bCDarHhIdl5uTaj__E-38  随身邦
  corpsecret: g37wunxe43I_g-W_umTUFFGEFU6m1ordFoMLuUe4rK8
  #应用id
  agentId: 1000089
esign:
  #  SaaS版
  #  appId: 7438822756
  #  appSecret: fb4f6df1dc934c06e2c84e87e8a3546f
  #  PaaS版
  appId: 7438819026
  appSecret: 01df3d5154ea1f77fa64c415fb79c52f
  serviceUrl: https://smlopenapi.esign.cn
  #  PaaS版正式
#  appId: 5111637536
#  appSecret: ee1321fd61ef055cbfff588085ce0cd2
#  serviceUrl: https://openapi.esign.cn
  #  个人认证回调url
  personNotifyUrl: https://suishenbangtest.nipponpaint.com.cn/wxportal-api/eSign/updateUserIsAuthentication
  #  企业认证成功回调url
  organNotifyUrl: https://suishenbangtest.nipponpaint.com.cn/wxportal-api/eSign/updateCustomersIsAuthentication
  #  签署成功回调url
  signSuccessUrl: https://suishenbangtest.nipponpaint.com.cn/wxportal-api/eSign/updateOrderFile
  #  下载后的PDF路径
  fileUrl: /home/admin/project/file/pdf
